(function ($, Drupal) {
    Drupal.behaviors.customPopup = {
        attach: function (context, settings) {
            $(document).ready(function () {
                // Check if the popup element already exists
                if (jQuery('#mpu-popup').length === 0) {
                    var yourHTMLContent = '<div id="mpu-popup" class="mpu-popup-cl"> <div class="mpu-popup-content"> <button id="mpu-close-btn" class="mpu-closs-btn-class"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" style="color: white; width: 89px; height: 39px; " fill="currentColor" class="bi bi-x" viewBox="0 0 16 16"><path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/></svg></button><video id="mpu-video-url" width="320" height="240" controls><source src="" type="video/mp4"><source src="" type="video/ogg"> Your browser does not support the video tag.</video> <iframe id="mpu-iframe-url" allow="fullscreen;" frameborder="0" src="" title="Europrivacy - Introductory video"></iframe><img src="" id="mpu-image-popup" title="@title"></div></div>';
                    jQuery(yourHTMLContent).prependTo('body');
                }
                $('#mpu-close-btn').on('click', function () {
                    var popIframeElement = $('#mpu-iframe-url');
                    if (popIframeElement.length) {
                        popIframeElement.attr('src', "");
                    }
                    var popVideoElement = $('#mpu-video-url');
                    if (popVideoElement.length) {
                        popVideoElement.attr('src', "");
                    }
                    var popImgElement = $('#mpu-image-url');
                    if (popImgElement.length) {
                        popImgElement.attr('src', "");
                    }
                    var popup = $('#mpu-popup');
                    popup.hide();
                    $('body').removeClass('freeze');
                });
            });
            var popup = $(context).find('.mpu-show-pop-up');
            popup.on('click', function () {
                var container = $(this).closest('.mpu-popup-container');
                var documentUrl = $(this).data('pdf-url');
                var videoElement = container.find('video');
                var iframeElement = container.find('iframe');
                var imageElement = container.find('img');
                // Find the <iframe> and <video> elements within the container
                if (videoElement.length) {
                    var videoUrl = videoElement.find('source').attr('src');
                    var popVideoElement = $('#mpu-video-url');
                    var popIframeHide = $('#mpu-iframe-url');
                    var popImageHide = $('#mpu-image-popup');
                    popVideoElement.show();
                    popIframeHide.hide();
                    popImageHide.hide();
                    popVideoElement.attr('src', videoUrl);
                } else if (iframeElement.length) {
                    var iframeUrl = iframeElement.attr('src');
                    var popVideoElement = $('#mpu-iframe-url');
                    var popVideoHide = $('#mpu-video-url');
                    var popImageHide = $('#mpu-image-popup');
                    popVideoHide.hide();
                    popImageHide.hide();
                    popVideoElement.show();
                    popVideoElement.attr('src', iframeUrl);
                } else if (documentUrl) {
                    var popVideoElement = $('#mpu-iframe-url');
                    var popVideoHide = $('#mpu-video-url');
                    var popImageHide = $('#mpu-image-popup');
                    popVideoHide.hide();
                    popImageHide.hide();
                    popVideoElement.show();
                    popVideoElement.attr('src', documentUrl);
                } else if (imageElement.length) {
                    var imageUrl = imageElement.attr('src');
                    var popVideoElement = $('#mpu-iframe-url');
                    var popVideoHide = $('#mpu-video-url');
                    var popimageElement = $('#mpu-image-popup');
                    popVideoHide.hide();
                    popVideoElement.hide();
                    popimageElement.attr('src', imageUrl);
                    popimageElement.show();
                }
                var popup = $('#mpu-popup');
                popup.show();
                $('body').addClass('freeze');
            });

        }
    };
})(jQuery, Drupal);
